DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations
diqttype.h File Reference

type definitions and constants for the color quantization classes More...

## Macros
#define | DcmQuantHashSize 20023UL
| size of color hash table. Don't touch this.
#define | DcmQuantMaxColors 65536
| maximum number of colors we count in a color histogram.

## Typedefs
typedef unsigned char | DcmQuantComponent
| the basic type for pixel color components

## Enumerations
enum | DcmLargestDimensionType { DcmLargestDimensionType_default , DcmLargestDimensionType_luminance }
| defines the algorithm used for determining the largest dimension in the Median Cut algorithm More...
enum | DcmRepresentativeColorType { DcmRepresentativeColorType_default , DcmRepresentativeColorType_averagePixels , DcmRepresentativeColorType_centerOfBox }
| defines the algorithm for choosing a representative color for each box in the Median Cut algorithm More...

## Detailed Description

type definitions and constants for the color quantization classes

## Macro Definition Documentation

## ◆ DcmQuantMaxColors

#define DcmQuantMaxColors 65536

maximum number of colors we count in a color histogram.

If the number of colors turns out to be larger than this, then the image bit depth is reduced until the number of colors becomes smaller than this maximum.

## Enumeration Type Documentation

## ◆ DcmLargestDimensionType

enum DcmLargestDimensionType

defines the algorithm used for determining the largest dimension in the Median Cut algorithm

Enumerator
DcmLargestDimensionType_default | determine dimension by comparing the range in RGB space (default)
DcmLargestDimensionType_luminance | determine dimension by transforming into luminance before comparison

## ◆ DcmRepresentativeColorType

enum DcmRepresentativeColorType

defines the algorithm for choosing a representative color for each box in the Median Cut algorithm

Enumerator
DcmRepresentativeColorType_default | average all the colors in the box (as specified in Heckbert's paper; this is the default)
DcmRepresentativeColorType_averagePixels | average all pixels in the box
DcmRepresentativeColorType_centerOfBox | choose center of the box, ignoring any structure within the boxes

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2